import React from 'react';
import { AlignCenter } from '../layout';
import { Modal , Button } from 'antd';
import './Index.scss';

function DeleteBox({ 
  visible , 
  onCancel ,
  onSuccess ,
  title ,
  subTitle,
  content
}) {
  return(
    <Modal
      visible={visible}
      onCancel={onCancel}
      title={title}
      width="600px"
      className="deleteBox"
      footer={
        <div>
          <Button size={'large'} onClick={onCancel}>取消</Button>
          <Button type={"danger"} size={"large"} onClick={onSuccess}>确认删除</Button>
        </div>
      }
    >
      <div className="desc">
        <AlignCenter className="descMain"><i className="iconfont icon-shanchu_tc_icon mr10"></i>{content}</AlignCenter>
        <p>{subTitle}</p>
      </div>
    </Modal>
  )
}
export default DeleteBox;