import React from 'react';
import { AlignCenter } from '../../Component/layout';
import { Modal , Button } from 'antd';

function DeleteBox({ visible , onCancel ,onSuccess }) {
  
  return(
    <Modal
      visible={visible}
      onCancel={onCancel}
      title="删除SSH密钥"
      width="600px"
      className="deleteBox"
      footer={
        <div>
          <Button size={'large'} onClick={onCancel}>取消</Button>
          <Button type={"danger"} size={"large"} onClick={onSuccess}>确认删除</Button>
        </div>
      }
    >
      <div className="desc">
        <AlignCenter className="descMain"><i className="iconfont icon-jinggao1 mr10"></i>您确定要删除此 SSH 密钥吗？</AlignCenter>
        <p>此操作将永久删除该SSH密钥，且不可恢复。如果您想再次使用该密钥，则需要您重新上传。</p>
      </div>
    </Modal>
  )
}
export default DeleteBox;